package cn.tsy.data.idsse.dsds.model.sample;

import cn.hme.framework.bean.HmeBean;
import cn.hme.framework.jdbc.annotation.HmeTable;
import java.time.LocalDateTime;

/**********************************************
 * 潜水器轨迹文件
 * 
 * @author: zxq
 * @date: 2024-05-16 13:03:27
 * @version: 1.0.0
 * @email: revisit@126.com
 * @Company: www.hmesoft.cn
 */
@HmeTable(name = "SAMPLE_DATASET_TRACK", key = "TSY_ID")
public class SampleDatasetTrack extends HmeBean {
	private static final long serialVersionUID = -4725353852538683632L;
	private Integer tsy_id;
	//数据集编号
	private Integer dataset_id;
	//经度
	private String track_lon;
	//纬度
	private String track_lat;
	//时间
	private LocalDateTime track_time;

	public Integer getTsy_id() {
		return this.tsy_id;
	}

	public void setTsy_id(Integer tsy_id) {
		this.tsy_id = tsy_id;
	}

	/****
	 * 数据集编号
	 */
	public Integer getDataset_id() {
		return this.dataset_id;
	}

	/****
	 * 数据集编号
	 */
	public void setDataset_id(Integer dataset_id) {
		this.dataset_id = dataset_id;
	}

	/****
	 * 经度
	 */
	public String getTrack_lon() {
		return this.track_lon;
	}

	/****
	 * 经度
	 */
	public void setTrack_lon(String track_lon) {
		this.track_lon = track_lon;
	}

	/****
	 * 纬度
	 */
	public String getTrack_lat() {
		return this.track_lat;
	}

	/****
	 * 纬度
	 */
	public void setTrack_lat(String track_lat) {
		this.track_lat = track_lat;
	}

	/****
	 * 时间
	 */
	public LocalDateTime getTrack_time() {
		return this.track_time;
	}

	/****
	 * 时间
	 */
	public void setTrack_time(LocalDateTime track_time) {
		this.track_time = track_time;
	}

}